uuid: f29fa939-8172-4cfb-807f-6f6e87bfd84c
langcode: en
status: true
dependencies:
  config:
    - field.field.media.document.field_document
    - field.field.media.document.field_media_in_library
    - field.field.media.document.field_replace_file
    - field.field.media.document.field_upload_file
    - media.type.document
  module:
    - conditional_fields
    - field_layout
    - file
    - layout_discovery
    - path
third_party_settings:
  field_layout:
    id: layout_onecol
    settings:
      label: ''
_core:
  default_config_hash: xFJUl0MccoGPEv1eb_I_XnxzjqvZ8M5HA1G3PBtv9IE
id: media.document.default
targetEntityType: media
bundle: document
mode: default
content:
  field_document:
    type: file_generic
    weight: 0
    region: content
    settings:
      progress_indicator: throbber
    third_party_settings: {  }
  field_media_in_library:
    type: boolean_checkbox
    weight: 2
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  field_replace_file:
    type: boolean_checkbox
    weight: 27
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  field_upload_file:
    type: file_generic
    weight: 26
    region: content
    settings:
      progress_indicator: throbber
    third_party_settings:
      conditional_fields:
        95538d38-a12b-49a8-b274-0a441be81d6b:
          entity_type: media
          bundle: document
          dependee: field_replace_file
          settings:
            state: '!visible'
            reset: false
            condition: value
            grouping: AND
            values_set: 2
            value: ''
            values: 'On'
            value_form:
              value: false
            effect: show
            effect_options: {  }
            selector: ''
  name:
    type: string_textfield
    weight: 1
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  path:
    type: path
    weight: 4
    region: content
    settings: {  }
    third_party_settings: {  }
  status:
    type: boolean_checkbox
    weight: 5
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  translation:
    weight: 3
    region: content
    settings: {  }
    third_party_settings: {  }
hidden:
  created: true
  langcode: true
  publish_on: true
  uid: true
  unpublish_on: true
